// GUI/WorkSpaceView.cpp : implementation file
//

#include "stdafx.h"
#include "../okna.h"
#include "WorkSpaceView.h"
#include "../SwitchDlg.h"
#include "../HostDlg.h"
#include "../ServerDlg.h"
#include "../LinkDlg.h"
#include "../RouterDlg.h"

// CWorkSpaceView

IMPLEMENT_DYNCREATE(CWorkSpaceView, CView)

CWorkSpaceView::CWorkSpaceView()
{
}

CWorkSpaceView::~CWorkSpaceView()
{
}

BEGIN_MESSAGE_MAP(CWorkSpaceView, CView)
	ON_WM_LBUTTONDBLCLK()
END_MESSAGE_MAP()


// CWorkSpaceView drawing

void CWorkSpaceView::OnDraw(CDC* pDC)
{
	CDocument* pDoc = GetDocument();
	// TODO: add draw code here

	ASSERT_VALID(pDoc);
	CBitmap bitmap;
	CDC dcMemory;
	bitmap.LoadBitmapA (IDB_TOPOLOGIA);
	dcMemory.CreateCompatibleDC (pDC);
	dcMemory.SelectObject (&bitmap);
	pDC->BitBlt (50, 15, 281, 333, &dcMemory, 0, 0, SRCCOPY);
}


// CWorkSpaceView diagnostics

#ifdef _DEBUG
void CWorkSpaceView::AssertValid() const
{
	CView::AssertValid();
}

#ifndef _WIN32_WCE
void CWorkSpaceView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}
#endif
#endif //_DEBUG


// CWorkSpaceView message handlers

void CWorkSpaceView::OnLButtonDblClk(UINT nFlags, CPoint point)
{
	CSwitchDlg *dlgSwitch;
	CServerDlg *dlgServer;
	CRouterDlg *dlgRouter;
	CLinkDlg *dlgLink;
	CHostDlg *dlgHost;
		
	if((point.x > 160)&&(point.x < 207) && (point.y > 165) && (point.y < 209))
	{
		dlgSwitch = new CSwitchDlg;
		dlgSwitch->DoModal();
	}
	if((point.x > 61)&&(point.x < 104) && (point.y > 277) && (point.y < 326))
	{
		dlgHost = new CHostDlg;
		dlgHost->DoModal();
	}
	if((point.x > 275)&&(point.x < 315) && (point.y > 274) && (point.y < 330))
	{
		dlgServer = new CServerDlg;
		dlgServer->DoModal();
	}
	if((point.x > 179)&&(point.x < 190) && (point.y > 84) && (point.y < 153))
	{
		dlgLink = new CLinkDlg;
		dlgLink->DoModal();
	}
	if((point.x > 164)&&(point.x < 208) && (point.y > 27) && (point.y < 69))
	{
		dlgRouter = new CRouterDlg;
		dlgRouter->DoModal();
	}


	CView::OnLButtonDblClk(nFlags, point);
}
