// oknaView.h : interface of the CoknaView class
//


#pragma once


class CoknaView : public CView
{
protected: // create from serialization only
	CoknaView();
	DECLARE_DYNCREATE(CoknaView)

// Attributes
public:
	CoknaDoc* GetDocument() const;

// Operations
public:

// Overrides
public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CoknaView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in oknaView.cpp
inline CoknaDoc* CoknaView::GetDocument() const
   { return reinterpret_cast<CoknaDoc*>(m_pDocument); }
#endif

